"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                    */
;/* empty css                                                                        */
;/* empty css                                                                    */
;/* empty css                                                                          */
;/* empty css                                                                           */
const Vue = require("vue");
const index = require("../../../../../../node_modules/element-plus/es/components/form/index.js");
const index$1 = require("../../../../../../node_modules/element-plus/es/components/radio/index.js");
const index$2 = require("../../../../../../node_modules/element-plus/es/components/input/index.js");
const _sfc_main = {
  __name: "Message",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_radio_button = index$1.ElRadioButton;
      const _component_el_radio_group = index$1.ElRadioGroup;
      const _component_el_form_item = index.ElFormItem;
      const _component_el_input = index$2.ElInput;
      return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [
        Vue.createVNode(_component_el_form_item, { label: "提示类型" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_radio_group, {
              modelValue: __props.formData.messageType,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.messageType = $event),
              size: "small"
            }, {
              default: Vue.withCtx(() => [
                Vue.createVNode(_component_el_radio_button, {
                  label: "成功",
                  value: "success"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "信息",
                  value: "info"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "警告",
                  value: "warning"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "错误",
                  value: "error"
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "提示内容" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.message,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.message = $event),
              type: "textarea",
              rows: 3,
              placeholder: "请输入提示内容"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
exports.default = _sfc_main;
